[26313] in Source-Commits
/svn/athena r25514 - trunk/athena/lib/firefox-extension/debian
daemon@ATHENA.MIT.EDU (Jonathan D Reed)
Thu May 17 11:41:19 2012
Date: Thu, 17 May 2012 11:41:18 -0400
From: Jonathan D Reed <jdreed@MIT.EDU>
Message-Id: <201205171541.q4HFfIJ8004195@drugstore.mit.edu>
To: source-commits@MIT.EDU
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
Author: jdreed
Date: 2012-05-17 11:41:18 -0400 (Thu, 17 May 2012)
New Revision: 25514
Added:
trunk/athena/lib/firefox-extension/debian/debathena-firefox-extension.postinst
trunk/athena/lib/firefox-extension/debian/debathena-firefox-extension.postrm
Modified:
trunk/athena/lib/firefox-extension/debian/changelog
trunk/athena/lib/firefox-extension/debian/rules
Log:
In firefox-extension:
* Instead, figure out whether to add that additional symlink in the
postinst and clean it up in the postrm. Firefox is moving fast enough
that doing it at build time is wrong, since we don't rebuild the
package every time there's a FF bump
Modified: trunk/athena/lib/firefox-extension/debian/changelog
===================================================================
--- trunk/athena/lib/firefox-extension/debian/changelog 2012-05-16 15:59:14 UTC (rev 25513)
+++ trunk/athena/lib/firefox-extension/debian/changelog 2012-05-17 15:41:18 UTC (rev 25514)
@@ -3,8 +3,12 @@
* Don't attempt to symlink two things in the same place; on newer
versions of Firefox, /usr/lib/firefox/extensions is a symlink into
firefox-addons
+ * Instead, figure out whether to add that additional symlink in the
+ postinst and clean it up in the postrm. Firefox is moving fast enough
+ that doing it at build time is wrong, since we don't rebuild the
+ package every time there's a FF bump
- -- Jonathan Reed <jdreed@mit.edu> Mon, 14 May 2012 17:07:11 -0400
+ -- Jonathan Reed <jdreed@mit.edu> Thu, 17 May 2012 11:40:19 -0400
debathena-firefox-extension (10.0.7-0debathena4) unstable; urgency=low
Added: trunk/athena/lib/firefox-extension/debian/debathena-firefox-extension.postinst
===================================================================
--- trunk/athena/lib/firefox-extension/debian/debathena-firefox-extension.postinst (rev 0)
+++ trunk/athena/lib/firefox-extension/debian/debathena-firefox-extension.postinst 2012-05-17 15:41:18 UTC (rev 25514)
@@ -0,0 +1,42 @@
+#!/bin/sh
+# postinst script for debathena-firefox-extension
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+# * <postinst> `configure' <most-recently-configured-version>
+# * <old-postinst> `abort-upgrade' <new version>
+# * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+# <new-version>
+# * <postinst> `abort-remove'
+# * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+# <failed-install-package> <version> `removing'
+# <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+ configure)
+ if [ -d /usr/lib/firefox/extensions ] && ! [ -h /usr/lib/firefox/extensions ]; then
+ ln -s /usr/lib/debathena-firefox-extension /usr/lib/firefox/extensions/athena@mit.edu
+ fi
+ ;;
+
+ abort-upgrade|abort-remove|abort-deconfigure)
+ ;;
+
+ *)
+ echo "postinst called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
Added: trunk/athena/lib/firefox-extension/debian/debathena-firefox-extension.postrm
===================================================================
--- trunk/athena/lib/firefox-extension/debian/debathena-firefox-extension.postrm (rev 0)
+++ trunk/athena/lib/firefox-extension/debian/debathena-firefox-extension.postrm 2012-05-17 15:41:18 UTC (rev 25514)
@@ -0,0 +1,43 @@
+#!/bin/sh
+# postrm script for debathena-firefox-extension
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+# * <postrm> `remove'
+# * <postrm> `purge'
+# * <old-postrm> `upgrade' <new-version>
+# * <new-postrm> `failed-upgrade' <old-version>
+# * <new-postrm> `abort-install'
+# * <new-postrm> `abort-install' <old-version>
+# * <new-postrm> `abort-upgrade' <old-version>
+# * <disappearer's-postrm> `disappear' <overwriter>
+# <overwriter-version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+ remove)
+ if [ -h /usr/lib/firefox/extensions/athena@mit.edu ]; then
+ rm /usr/lib/firefox/extensions/athena@mit.edu
+ fi
+ ;;
+
+ purge|upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
+ ;;
+
+ *)
+ echo "postrm called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
Modified: trunk/athena/lib/firefox-extension/debian/rules
===================================================================
--- trunk/athena/lib/firefox-extension/debian/rules 2012-05-16 15:59:14 UTC (rev 25513)
+++ trunk/athena/lib/firefox-extension/debian/rules 2012-05-17 15:41:18 UTC (rev 25514)
@@ -6,11 +6,6 @@
/etc/firefox-3.0/pref/ubufox.js.debathena
endif
-ifneq ($(shell readlink -f /usr/lib/firefox/extensions),/usr/lib/firefox-addons/extensions)
-DEB_DH_LINK_debathena-firefox-extension += \
- usr/lib/debathena-firefox-extension usr/lib/firefox/extensions/athena@mit.edu
-endif
-
DEB_AUTO_UPDATE_AUTOCONF = 2.50
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk